SVGElementMapping (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fo.extensions.svg

## Class SVGElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping
  - - org.apache.fop.fo.extensions.svg.SVGElementMapping

-     public class SVGElementMapping
      extends ElementMapping

  Setup the SVG element mapping. This adds the svg element mappings used to create the objects that create the SVG Document.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping

      `ElementMapping.Maker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.logging.Log` | `log` logging instance
    `static java.lang.String` | `URI` the SVG namespace

    - ### Fields inherited from class org.apache.fop.fo.ElementMapping

      `DEFAULT, foObjs, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVGElementMapping()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.DOMImplementation` | `getDOMImplementation()` Returns the DOMImplementation used by this ElementMapping.
    `java.lang.String` | `getStandardPrefix()`
    `protected void` | `initialize()` Initializes the set of maker objects associated with this ElementMapping

    - ### Methods inherited from class org.apache.fop.fo.ElementMapping

      `getDefaultDOMImplementation, getNamespaceURI, getTable, isAttributeProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URI

          public static final java.lang.String URI

      the SVG namespace
      See Also:
        Constant Field Values

    - #### log

          protected org.apache.commons.logging.Log log

      logging instance

  - ### Constructor Detail

    - #### SVGElementMapping

          public SVGElementMapping()

      Main constructor.

  - ### Method Detail

    - #### getDOMImplementation

          public org.w3c.dom.DOMImplementation getDOMImplementation()

      Returns the DOMImplementation used by this ElementMapping. The value returned may be null for cases where no DOM is used to represent the element tree (XSL-FO, for example). This method is used by the intermediate format to instantiate the right kind of DOM document for foreign objects. For example, SVG handled through Apache Batik has to use a special DOMImplementation.
      Overrides:
        `getDOMImplementation` in class `ElementMapping`
      Returns:
        the DOMImplementation used by this ElementMapping, may be null

    - #### initialize

          protected void initialize()

      Initializes the set of maker objects associated with this ElementMapping
      Specified by:
        `initialize` in class `ElementMapping`

    - #### getStandardPrefix

          public java.lang.String getStandardPrefix()

      Overrides:
        `getStandardPrefix` in class `ElementMapping`
      Returns:
        the standard namespace prefix for this namespace or null if it is not known.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.